Bug 154415 - Pictures: Consistent Konqueror task bar tray icon
Summary: Pictures: Consistent Konqueror task bar tray icon
Status: REOPENED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 60219 86688 119215 196460 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-12-21 03:45 UTC by Dotan Cohen
Modified: 2020-02-27 01:11 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Udiff of four patched files, providing constant WM / taskbar icon (4.81 KB, patch)
2013-09-01 11:05 UTC, Alex Leach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2007-12-21 03:45:41 UTC
Version:           3.5.8 (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages
OS:                Linux

The Konqueror task bar icon is usually the favicon of the website that one is visiting. There should be a configuration option to dissable this constant changing of the icon, so that one could use the icon to identify Konqi from the other open windows.
Comment 1 Tommi Tervo 2007-12-21 08:25:52 UTC

*** This bug has been marked as a duplicate of 60219 ***
Comment 2 Dotan Cohen 2008-01-03 00:20:11 UTC
To clarify: Konqueror should show the favicon in the tabs, but not in the taskbar.

On my KDE setup, with the taskbar on the right side of the screen, the only indicator as to which app is which is the icon. Having it change at each website means that I cannot find Konqueror quickly. However, disabling the favicons on the tabs means that I cannot find the correct tab quickly. That's why I use Firefox: I can always find it on the taskbar, and I can find my tabs. Opera and IE7 also display favicons in tabs yet not in the taskbar, so for consistencies sake, there is already precedent.

Many people have requested this feature at Bug 60219, however, only a partial solution was given at that bug before it was closed. Therefore this bug is not a dupe, as I am requesting a different feature than that which was implemented at Bug 60219.
Comment 3 Thomas Zander 2008-01-03 00:30:22 UTC
I agree this is not a dupe; its a request for a new feature to have not one but two configuration options for the favicons.  (which I may or may not agree upon being a good idea).

Relevant data point; the requested behavior is default in a different taskbar implementation called 'kasbar' (available on your local kde3 box). Which leads me to believe that this is really a taskbar config option, and not a konqueror config option.
Comment 4 Dotan Cohen 2008-01-03 00:51:56 UTC
I have no problem with this being relabeled a taskbar bug, so long as that is the path to a solution. And, unfortunately, kasbar is not a viable taskbar replacement for me. Thanks for the tip, though.
Comment 5 Dotan Cohen 2008-12-04 22:55:17 UTC
This is still not implemented in KDE 4.1, which is very problamatic now that Konqueror is a _web_browser_ by default and not the official KDE file manager. Please look into this.
Comment 6 Craig 2009-03-13 01:04:21 UTC
I really thought Konqueror was a great program. Smaller Memory footprint on my system than Firefox and Opera. However, I cannot believe this usability bug has been overlooked for at least 5 years (read older bugs). I have come to expect icons on the taskbar to show what the application is, not what task is actively being used in the application. This needs to at least be a configurable option in the limitless settings already used in KDE. I work with several applications usually at once, and if I cannot switch between apps (independent of the task running on the app) than the software is not efficient enough for me. A config option as simple as show application icon or favicon/task icon would convert me to using Konqueror. For now, I am going back to Firefox or Opera.
Comment 7 Alex Leach 2013-09-01 11:05:34 UTC
Created attachment 82082 [details]
Udiff of four patched files, providing constant WM / taskbar icon

Is this bug still open? Can't believe how long-standing it is..

Well, I had the same thought yesterday; I'm using Konqueror mainly as a file manager and tabbed pdf viewer (loads of okular tabs!), and have just spent a little time patching the code to give a consistent Konqueror icon, no-matter what tab or uri is active.

I've added a new configurable setting (ConstantTaskbarIcon) probably in the wrong UI menu, but I hope it's clear: Configure Konqueror -> General -> Always use the system-configured Konqueror icon in the taskbar.  The default value is false, in consistency with current behaviour.

It doesn't take effect immediately, but only after changing the current tab, folder or uri. I guess connecting another slot to some signal, maybe in konqmainwindow.cpp might make the change immediate, but being my first ever time hacking a Qt / KDE app, I'm quite pleased with it as it stands..

Patch is attached, against kde-4.11.0 release.

Tested on Arch Linux (3.10.10) x86_64; KDE 4.11.0; Qt 4.8.5

HTH,
Alex
Comment 8 Dotan Cohen 2013-09-01 13:51:16 UTC
Thank you for the patch, Alex!
Comment 9 Jekyll Wu 2013-09-19 09:13:05 UTC
(In reply to comment #7)

Alex, could you please submit the patch to git.reviewborad.kde.org ?  Patches attached to the bug tracker is easy to get lost .
Comment 10 Raphael Rosch 2020-02-27 01:01:46 UTC
*** Bug 119215 has been marked as a duplicate of this bug. ***
Comment 11 Raphael Rosch 2020-02-27 01:03:08 UTC
*** Bug 60219 has been marked as a duplicate of this bug. ***
Comment 12 Raphael Rosch 2020-02-27 01:04:07 UTC
*** Bug 196460 has been marked as a duplicate of this bug. ***
Comment 13 Raphael Rosch 2020-02-27 01:11:53 UTC
*** Bug 86688 has been marked as a duplicate of this bug. ***